---
SPDXID: "SPDXRef-DOCUMENT"
spdxVersion: "SPDX-2.2"
creationInfo:
  created: "2023-05-23T19:08:44Z"
  creators:
  - "Tool: OSS Review Toolkit - cc543c9380-dirty"
  licenseListVersion: "3.19"
name: "Unnamed document"
dataLicense: "CC0-1.0"
documentNamespace: "spdx://981befbb-6f94-4254-b339-e558f702fe15"
documentDescribes:
- "SPDXRef-Project-PIP-.github.workflows.requirements.txt-26c10b13e899bbe13284f1d26e2ecd17a65f80a8"
- "SPDXRef-Project-Unmanaged-marketplace-data-26c10b13e899bbe13284f1d26e2ecd17a65f80a8"
packages:
- SPDXID: "SPDXRef-Project-PIP-.github.workflows.requirements.txt-26c10b13e899bbe13284f1d26e2ecd17a65f80a8"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: ".github/workflows/requirements.txt"
  summary: "NONE"
  versionInfo: "26c10b13e899bbe13284f1d26e2ecd17a65f80a8"
- SPDXID: "SPDXRef-Project-Unmanaged-marketplace-data-26c10b13e899bbe13284f1d26e2ecd17a65f80a8"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "marketplace-data"
  summary: "NONE"
  versionInfo: "26c10b13e899bbe13284f1d26e2ecd17a65f80a8"
- SPDXID: "SPDXRef-Package-PyPI-certifi-2023.5.7"
  copyrightText: "NONE"
  downloadLocation: "https://files.pythonhosted.org/packages/9d/19/59961b522e6757f0c9097e4493fa906031b95b3ebe9360b2c3083561a6b4/certifi-2023.5.7-py3-none-any.whl"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:pypi/certifi@2023.5.7"
  filesAnalyzed: false
  homepage: "https://github.com/certifi/python-certifi"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "MPL-2.0"
  name: "certifi"
  summary: "Python package for providing Mozilla's CA Bundle."
  versionInfo: "2023.5.7"
- SPDXID: "SPDXRef-Package-PyPI-certifi-2023.5.7-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://github.com/certifi/python-certifi.git"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:pypi/certifi@2023.5.7"
  filesAnalyzed: false
  homepage: "https://github.com/certifi/python-certifi"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "certifi"
  summary: "Python package for providing Mozilla's CA Bundle."
  versionInfo: "2023.5.7"
- SPDXID: "SPDXRef-Package-PyPI-certifi-2023.5.7-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://files.pythonhosted.org/packages/93/71/752f7a4dd4c20d6b12341ed1732368546bc0ca9866139fe812f6009d9ac7/certifi-2023.5.7.tar.gz"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:pypi/certifi@2023.5.7"
  filesAnalyzed: false
  homepage: "https://github.com/certifi/python-certifi"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "certifi"
  summary: "Python package for providing Mozilla's CA Bundle."
  versionInfo: "2023.5.7"
- SPDXID: "SPDXRef-Package-PyPI-charset-normalizer-3.1.0"
  copyrightText: "NONE"
  downloadLocation: "https://files.pythonhosted.org/packages/ef/81/14b3b8f01ddaddad6cdec97f2f599aa2fa466bd5ee9af99b08b7713ccd29/charset_normalizer-3.1.0-py3-none-any.whl"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:pypi/charset-normalizer@3.1.0"
  filesAnalyzed: false
  homepage: "https://github.com/Ousret/charset_normalizer"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "MIT"
  name: "charset-normalizer"
  summary: "The Real First Universal Charset Detector. Open, modern and actively maintained\
    \ alternative to Chardet."
  versionInfo: "3.1.0"
- SPDXID: "SPDXRef-Package-PyPI-charset-normalizer-3.1.0-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://github.com/Ousret/charset_normalizer.git"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:pypi/charset-normalizer@3.1.0"
  filesAnalyzed: false
  homepage: "https://github.com/Ousret/charset_normalizer"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "charset-normalizer"
  summary: "The Real First Universal Charset Detector. Open, modern and actively maintained\
    \ alternative to Chardet."
  versionInfo: "3.1.0"
- SPDXID: "SPDXRef-Package-PyPI-charset-normalizer-3.1.0-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://files.pythonhosted.org/packages/ff/d7/8d757f8bd45be079d76309248845a04f09619a7b17d6dfc8c9ff6433cac2/charset-normalizer-3.1.0.tar.gz"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:pypi/charset-normalizer@3.1.0"
  filesAnalyzed: false
  homepage: "https://github.com/Ousret/charset_normalizer"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "charset-normalizer"
  summary: "The Real First Universal Charset Detector. Open, modern and actively maintained\
    \ alternative to Chardet."
  versionInfo: "3.1.0"
- SPDXID: "SPDXRef-Package-PyPI-idna-3.4"
  copyrightText: "NONE"
  downloadLocation: "https://files.pythonhosted.org/packages/fc/34/3030de6f1370931b9dbb4dad48f6ab1015ab1d32447850b9fc94e60097be/idna-3.4-py3-none-any.whl"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:pypi/idna@3.4"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "BSD-3-Clause"
  licenseDeclared: "NOASSERTION"
  name: "idna"
  summary: "Internationalized Domain Names in Applications (IDNA)"
  versionInfo: "3.4"
- SPDXID: "SPDXRef-Package-PyPI-idna-3.4-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://github.com/kjd/idna.git"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:pypi/idna@3.4"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "idna"
  summary: "Internationalized Domain Names in Applications (IDNA)"
  versionInfo: "3.4"
- SPDXID: "SPDXRef-Package-PyPI-idna-3.4-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://files.pythonhosted.org/packages/8b/e1/43beb3d38dba6cb420cefa297822eac205a277ab43e5ba5d5c46faf96438/idna-3.4.tar.gz"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:pypi/idna@3.4"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "idna"
  summary: "Internationalized Domain Names in Applications (IDNA)"
  versionInfo: "3.4"
- SPDXID: "SPDXRef-Package-PyPI-python-gnupg-0.5.0"
  copyrightText: "NONE"
  downloadLocation: "https://files.pythonhosted.org/packages/83/e8/44c05b10888c907e8e327f17f257655a25a3ebe44772b77ef87b5fb336c2/python_gnupg-0.5.0-py2.py3-none-any.whl"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:pypi/python-gnupg@0.5.0"
  filesAnalyzed: false
  homepage: "https://github.com/vsajip/python-gnupg"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "BSD-3-Clause"
  name: "python-gnupg"
  summary: "A wrapper for the Gnu Privacy Guard (GPG or GnuPG)"
  versionInfo: "0.5.0"
- SPDXID: "SPDXRef-Package-PyPI-python-gnupg-0.5.0-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://github.com/vsajip/python-gnupg.git"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:pypi/python-gnupg@0.5.0"
  filesAnalyzed: false
  homepage: "https://github.com/vsajip/python-gnupg"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "python-gnupg"
  summary: "A wrapper for the Gnu Privacy Guard (GPG or GnuPG)"
  versionInfo: "0.5.0"
- SPDXID: "SPDXRef-Package-PyPI-python-gnupg-0.5.0-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://files.pythonhosted.org/packages/e3/5c/5ff9877001616912a74f4377cd5f80925b31a678087800beae5b28bdb80e/python-gnupg-0.5.0.tar.gz"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:pypi/python-gnupg@0.5.0"
  filesAnalyzed: false
  homepage: "https://github.com/vsajip/python-gnupg"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "python-gnupg"
  summary: "A wrapper for the Gnu Privacy Guard (GPG or GnuPG)"
  versionInfo: "0.5.0"
- SPDXID: "SPDXRef-Package-PyPI-requests-2.30.0"
  copyrightText: "NONE"
  downloadLocation: "https://files.pythonhosted.org/packages/96/80/034ffeca15c0f4e01b7b9c6ad0fb704b44e190cde4e757edbd60be404c41/requests-2.30.0-py3-none-any.whl"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:pypi/requests@2.30.0"
  filesAnalyzed: false
  homepage: "https://requests.readthedocs.io"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "Apache-2.0"
  name: "requests"
  summary: "Python HTTP for Humans."
  versionInfo: "2.30.0"
- SPDXID: "SPDXRef-Package-PyPI-requests-2.30.0-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://github.com/psf/requests.git"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:pypi/requests@2.30.0"
  filesAnalyzed: false
  homepage: "https://requests.readthedocs.io"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "requests"
  summary: "Python HTTP for Humans."
  versionInfo: "2.30.0"
- SPDXID: "SPDXRef-Package-PyPI-requests-2.30.0-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://files.pythonhosted.org/packages/e0/69/122171604bcef06825fa1c05bd9e9b1d43bc9feb8c6c0717c42c92cc6f3c/requests-2.30.0.tar.gz"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:pypi/requests@2.30.0"
  filesAnalyzed: false
  homepage: "https://requests.readthedocs.io"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "requests"
  summary: "Python HTTP for Humans."
  versionInfo: "2.30.0"
- SPDXID: "SPDXRef-Package-PyPI-urllib3-2.0.2"
  copyrightText: "NONE"
  downloadLocation: "https://files.pythonhosted.org/packages/4b/1d/f8383ef593114755429c307449e7717b87044b3bcd5f7860b89b1f759e34/urllib3-2.0.2-py3-none-any.whl"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:pypi/urllib3@2.0.2"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "MIT"
  name: "urllib3"
  summary: "HTTP library with thread-safe connection pooling, file post, and more."
  versionInfo: "2.0.2"
- SPDXID: "SPDXRef-Package-PyPI-urllib3-2.0.2-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://github.com/urllib3/urllib3.git"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:pypi/urllib3@2.0.2"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "urllib3"
  summary: "HTTP library with thread-safe connection pooling, file post, and more."
  versionInfo: "2.0.2"
- SPDXID: "SPDXRef-Package-PyPI-urllib3-2.0.2-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://files.pythonhosted.org/packages/fb/c0/1abba1a1233b81cf2e36f56e05194f5e8a0cec8c03c244cab56cc9dfb5bd/urllib3-2.0.2.tar.gz"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:pypi/urllib3@2.0.2"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "urllib3"
  summary: "HTTP library with thread-safe connection pooling, file post, and more."
  versionInfo: "2.0.2"
relationships:
- spdxElementId: "SPDXRef-Package-PyPI-certifi-2023.5.7"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-PyPI-certifi-2023.5.7-vcs"
- spdxElementId: "SPDXRef-Package-PyPI-certifi-2023.5.7"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-PyPI-certifi-2023.5.7-source-artifact"
- spdxElementId: "SPDXRef-Package-PyPI-charset-normalizer-3.1.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-PyPI-charset-normalizer-3.1.0-vcs"
- spdxElementId: "SPDXRef-Package-PyPI-charset-normalizer-3.1.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-PyPI-charset-normalizer-3.1.0-source-artifact"
- spdxElementId: "SPDXRef-Package-PyPI-idna-3.4"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-PyPI-idna-3.4-vcs"
- spdxElementId: "SPDXRef-Package-PyPI-idna-3.4"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-PyPI-idna-3.4-source-artifact"
- spdxElementId: "SPDXRef-Package-PyPI-python-gnupg-0.5.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-PyPI-python-gnupg-0.5.0-vcs"
- spdxElementId: "SPDXRef-Package-PyPI-python-gnupg-0.5.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-PyPI-python-gnupg-0.5.0-source-artifact"
- spdxElementId: "SPDXRef-Package-PyPI-requests-2.30.0"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-PyPI-certifi-2023.5.7"
- spdxElementId: "SPDXRef-Package-PyPI-requests-2.30.0"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-PyPI-charset-normalizer-3.1.0"
- spdxElementId: "SPDXRef-Package-PyPI-requests-2.30.0"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-PyPI-idna-3.4"
- spdxElementId: "SPDXRef-Package-PyPI-requests-2.30.0"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-PyPI-urllib3-2.0.2"
- spdxElementId: "SPDXRef-Package-PyPI-requests-2.30.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-PyPI-requests-2.30.0-vcs"
- spdxElementId: "SPDXRef-Package-PyPI-requests-2.30.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-PyPI-requests-2.30.0-source-artifact"
- spdxElementId: "SPDXRef-Package-PyPI-urllib3-2.0.2"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-PyPI-urllib3-2.0.2-vcs"
- spdxElementId: "SPDXRef-Package-PyPI-urllib3-2.0.2"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-PyPI-urllib3-2.0.2-source-artifact"
- spdxElementId: "SPDXRef-Project-PIP-.github.workflows.requirements.txt-26c10b13e899bbe13284f1d26e2ecd17a65f80a8"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-PyPI-python-gnupg-0.5.0"
- spdxElementId: "SPDXRef-Project-PIP-.github.workflows.requirements.txt-26c10b13e899bbe13284f1d26e2ecd17a65f80a8"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-PyPI-requests-2.30.0"
